aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Pages: 1 [2]

Author Topic: Building aMule on openSUSE >= 11.4  (Read 7787 times)

Zoltic

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 17
Re: Building aMule on openSUSE >= 11.4
« Reply #15 on: May 08, 2011, 01:09:54 PM »

Either I am cursed, or I am stupid. I do not find the mentioned SVN (10561). I found only 10533.....

Could you give me the URL of the "running" SVN ?

Thank you.
Logged
Point n'est besoin d'espérer pour entreprendre ni de réussir pour persévérer. 
Charles de Valois-Bourgogne dit "Le Téméraire"

Stu Redman

  • Administrator
  • Hero Member
  • *****
  • Karma: 214
  • Offline Offline
  • Posts: 3764
  • Engines screaming
Re: Building aMule on openSUSE >= 11.4
« Reply #16 on: May 08, 2011, 09:01:00 PM »

Logged
The image of mother goddess, lying dormant in the eyes of the dead, the sheaf of the corn is broken, end the harvest, throw the dead on the pyre -- Iron Maiden, Isle of Avalon

Zoltic

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 17
Re: Building aMule on openSUSE >= 11.4
« Reply #17 on: May 08, 2011, 09:25:48 PM »

Definitively I'm cursed. (As all the "normal" users of openSuse 11.4)  :)

Geting the SVN : OK
autogen.sh : OK
configure :

checking for wxWidgets version >= 2.8.12 (--unicode=yes)... no (version 2.8.11 is not new enough)
configure: error:
    The requested wxWidgets build couldn't be found.

2.8.11 is the last version distributed by SUSE.

I have changed in the configure script to accept 2.8.11 to see if compilation and link work. But.... maybe it will be bugs during execution.
Logged
Point n'est besoin d'espérer pour entreprendre ni de réussir pour persévérer. 
Charles de Valois-Bourgogne dit "Le Téméraire"

Zoltic

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 17
Re: Building aMule on openSUSE >= 11.4
« Reply #18 on: May 08, 2011, 09:43:36 PM »

Compil and Link : OK
Execution :

 2011-05-08 21:38:07: amuleAppCommon.cpp(331): Initialising aMule SVN compiled with wxGTK2 v2.8.11 (Debugging) (Snapshot: rev. 10562)
 2011-05-08 21:38:07: amuleAppCommon.cpp(377): Checking if there is an instance already running...
 2011-05-08 21:38:07: amuleAppCommon.cpp(408): No other instances are running.
 2011-05-08 21:38:08: ListenSocket.cpp(65): ListenSocket : Ok.
        aMule Version: aMule SVN compiled with wxGTK2 v2.8.11 (Debugging) (Snapshot: rev. 10562)

Terminated after throwing an instance of 'std::out_of_range'
        what(): basic_string::at
        backtrace:
[2] CamuleApp::OnUnhandledException() in amule.cpp:1950
[3] wxEntry(int&, wchar_t**) in /usr/lib/wx-2.8-stl/libwx_baseu-2.8.so.0[0xb6db0557]
[4] wxEntry(int&, char**) in /usr/lib/wx-2.8-stl/libwx_baseu-2.8.so.0[0xb6db05c6]
[5] main in amule-gui.cpp:93
[6] __libc_start_main in /lib/libc.so.6[0xb6a84c2e]
[7] _start in start.S:122


So, openSuse users have to wait next version (2.8.12) of wxWidgets before using last version of aMule.

No matter, we'll wait. :)
Logged
Point n'est besoin d'espérer pour entreprendre ni de réussir pour persévérer. 
Charles de Valois-Bourgogne dit "Le Téméraire"

Stu Redman

  • Administrator
  • Hero Member
  • *****
  • Karma: 214
  • Offline Offline
  • Posts: 3764
  • Engines screaming
Re: Building aMule on openSUSE >= 11.4
« Reply #19 on: May 08, 2011, 10:25:58 PM »

2.8.12 is required because of a networking problem fixed there. It's not related to what you are seeing here. Hm.

I should say wx build is somehow screwed in Suse. Can you try to build wx yourself ? Don't install it, just configure aMule then using --with-wxdir (like described in the wiki for Ubuntu).
Logged
The image of mother goddess, lying dormant in the eyes of the dead, the sheaf of the corn is broken, end the harvest, throw the dead on the pyre -- Iron Maiden, Isle of Avalon

Zoltic

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 17
Re: Building aMule on openSUSE >= 11.4
« Reply #20 on: May 08, 2011, 11:13:53 PM »

I can try to do that but I need more time because there is a long time I didn't do that. I was developer but 15 years ago and I'm a little "rusty" now.

Anyway thank you for your speed to debug all the configurations.
Logged
Point n'est besoin d'espérer pour entreprendre ni de réussir pour persévérer. 
Charles de Valois-Bourgogne dit "Le Téméraire"

Zoltic

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 17
Re: Building aMule on openSUSE >= 11.4
« Reply #21 on: May 09, 2011, 10:36:40 AM »

I did as you said.......

Don't ask me why but it's work :)

Now I have only to solve a problem with Kad

Code: [Select]
2011-05-09 10:30:28: RoutingZone.cpp(307): Only 0 Kad contacts available, nodes.dat not written
2011-05-09 10:30:28: RoutingZone.cpp(172): Failed to read nodes.dat file - too old. This version (0) is not supported anymore.

but this is not a "Compilation problem" so I'll check  other threads.
Logged
Point n'est besoin d'espérer pour entreprendre ni de réussir pour persévérer. 
Charles de Valois-Bourgogne dit "Le Téméraire"

Stu Redman

  • Administrator
  • Hero Member
  • *****
  • Karma: 214
  • Offline Offline
  • Posts: 3764
  • Engines screaming
Re: Building aMule on openSUSE >= 11.4
« Reply #22 on: May 09, 2011, 10:02:32 PM »

I did as you said.......
You mean, compiled wx yourself?
Logged
The image of mother goddess, lying dormant in the eyes of the dead, the sheaf of the corn is broken, end the harvest, throw the dead on the pyre -- Iron Maiden, Isle of Avalon

macias

  • Full Member
  • ***
  • Karma: 0
  • Offline Offline
  • Posts: 110
Re: Building aMule on openSUSE >= 11.4
« Reply #23 on: May 09, 2011, 10:07:48 PM »

Just for the record, and other openSUSE users, I compiled wx myself and new aMule also (RC1), no problems at all. I am back with 2.2.6 though, I like UI better.
Logged

Zoltic

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 17
Re: Building aMule on openSUSE >= 11.4
« Reply #24 on: May 09, 2011, 10:17:44 PM »

Absolutly, compiling wxWidgets 2.8.12 as described in the wiki for Ubuntu.

Compiling aMule SVN 10562 with --with-wxdir to the compiled wxWidgets 2.8.12
Logged
Point n'est besoin d'espérer pour entreprendre ni de réussir pour persévérer. 
Charles de Valois-Bourgogne dit "Le Téméraire"

macias

  • Full Member
  • ***
  • Karma: 0
  • Offline Offline
  • Posts: 110
Re: Building aMule on openSUSE >= 11.4
« Reply #25 on: June 05, 2011, 02:35:13 PM »

Just for the record (after testing several combos) the best match  for openSUSE 11.4 is installing wx (container version) from repos, unaltered, and then building aMule 2.2.6 by yourself (no patches, or anything). Compilation is w/o problems and it works as it should -- no problems either.
Logged

Gerd78

  • Hero Member
  • *****
  • Karma: 9
  • Offline Offline
  • Posts: 681
Re: Building aMule on openSUSE >= 11.4
« Reply #26 on: June 11, 2011, 02:29:15 PM »

I should say wx build is somehow screwed in Suse.
It's not really screwed, it's just a little tricky to use because of the two incompatible binary interfaces (stl + wxcontainer).
  • If you want to use the wxWidgets 2.8.11 packages shipped with openSUSE 11.4, then you must use wxWidgets-wxcontainer-devel and aMule 2.2.6.
  • If you want to use aMule SVN, then you must use wxWidgets >= 2.8.12 (e.g. from this repository), and you can use wxWidgets-wxcontainer-devel or wxWidgets-devel. (And I would recommend the latter, at least for testing purposes, because wxWidgets-wxcontainer-devel will most likely be removed in a future release of the distribution.)
Logged

macias

  • Full Member
  • ***
  • Karma: 0
  • Offline Offline
  • Posts: 110
Re: Building aMule on openSUSE >= 11.4
« Reply #27 on: June 11, 2011, 04:43:31 PM »

I forgot, there is 2.8.12 for openSUSE but in branched repository. http://download.opensuse.org/repositories/X11:/wxWidgets/ I switched to it, and results are even better (with compiled myself AMule 2.2.6).
Logged
Pages: 1 [2]